// Overexposed Effect
//
// Copyright Outerspace Software, all rights reserved

string description = "Overexposed Effect.";

float4x4	WorldViewProjection;	

texture MyTexture0;
sampler MyTextureSampler0 = sampler_state{
    Texture   = (MyTexture0);
    AddressU  = CLAMP;
    AddressV  = CLAMP;
    MipFilter = LINEAR;
    MinFilter = LINEAR;
    MagFilter = LINEAR;
};

struct VS_INPUT{
	float4 position:	POSITION;
	float3 normal:		NORMAL;
	float3 diffuse:		COLOR;
	float2 tex:			TEXCOORD0;
};

struct VS_OUTPUT{
	float4 position:	POSITION;
	float2 tex:			TEXCOORD0;
};

struct PS_OUTPUT{
    float4 color:		COLOR;
};

VS_OUTPUT VS(VS_INPUT input){
	VS_OUTPUT output;
	output.position = mul(input.position, WorldViewProjection);
	output.tex = input.tex;
	return output;
}

PS_OUTPUT PS(VS_OUTPUT input){
	PS_OUTPUT output;

	float4 r=tex2D(MyTextureSampler0, input.tex);

	r.xyz*=2;
		
	output.color = r;    
	return output;
}

technique Shader
{
    pass P0
    {
		Alphablendenable	=TRUE;
		SRCBLEND			=SRCALPHA;
		DESTBLEND			=INVSRCALPHA;
		    
		VertexShader	= compile vs_1_1 VS();
		PixelShader		= compile ps_2_0 PS();
    }
}
